import { IComponentRender, IComponentEvents, Component as ComponentClass } from '@zeedhi/common';
import { IEvent, IEventParam } from '@zeedhi/core';

export interface ITimerEvents<T = IEventParam<any>> extends IComponentEvents<T> {
  setStartTime: IEvent<T>,
}

export interface ITimer extends IComponentRender {
  startTime?: String | Number,
  tooltipPropName?: String,
  parent?: ComponentClass,
  events?: ITimerEvents,
  setFixedTime(value: string): void;
  getRow(): any;
}
